%global modulename function-bind

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-function-bind
Version:        1.1.1
Release:        1%{?dist}
Summary:        Implementation of Function.prototype.bind

License:        MIT
URL:            https://github.com/Raynos/function-bind
Source0:        https://registry.npmjs.org/function-bind/-/function-bind-1.1.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Implementation of Function.prototype.bind

%package 1.1.1
Summary:        Implementation of Function.prototype.bind


%description 1.1.1
Implementation of Function.prototype.bind

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jscs.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr implementation.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 1.1.1-1
- Package automatically generated by npm2srpm
